'use client';

import { useEffect } from 'react';
import * as lucideIcons from 'lucide-react';

export function IconWrapper({ name, className = '', ...props }: { name: string; className?: string; [key: string]: any }) {
  const Icon = lucideIcons[name as keyof typeof lucideIcons] as any;
  
  if (!Icon) return null;
  
  return <Icon className={className} {...props} />;
}